Subject: [bug#51775] Rebased wip-pinebook-pro branch

From: Efraim Flashner <[email-masked]>
Date: Tue, 16 Nov 2021 21:20:00 +0200

On Thu, Nov 11, 2021 at 09:30:09PM -0800, Vagrant Cascadian wrote:
> On 2021-11-11, [email-masked] wrote:
> > Thanks for the amazing work on Pinebook Pro!
> >
> > Here are the patches rebased on linux-libre-5.10 on Guix master.
> ...
> > Should I also rebase the changes from there?
> 
> I stopped working on the wip-pinebook-pro branch in May 2021:
> 
>   Pinebook Pro no longer WIP
>   https://lists.gnu.org/archive/html/guix-devel/2021-05/msg00032.html
> 
> All the features that seemed important were merged into guix's master
> branch at that time, with only very small and minor patches to
> linux-libre. I've since tested several other features, such as
> NVMe. Some of the quirks seem to have gotten less bad over time, as
> support has improved upstream.
> 
> I'm not sure it's worth adding a large patchset to support a 5.10.x
> linux-libre kernel at this point... What features are missing from the
> default kernel?
> 
> What guix master branch does lack is decent documentation for the
> pinebook-pro; there is a system image configuration but I have not tried
> it out so cannot speak to how well it works.
> 
> 
> live well,
>   vagrant

The pinebook pro boots from the SD card first if it's present, right? I
have one sitting next to me, I can take some time and build an image and
test it out.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted